Bug 505673 - [Tablet PC] Not all hotkeys supported on LG LT20
[Tablet PC] Not all hotkeys supported on LG LT20
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://asia.cnet.com/reviews/hardware...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 16:37 EDT by Luya Tshimbalanga
Modified: 2011-04-07 05:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-07 05:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xev-log from LT20 Notebook (4.66 KB, text/plain)
2009-06-13 04:22 EDT, Luya Tshimbalanga
no flags Details
Result from /proc/bus/input/devices (2.09 KB, text/plain)
2009-06-15 16:40 EDT, Luya Tshimbalanga
no flags Details
Xorg.0.log (68.68 KB, text/plain)
2009-06-25 04:39 EDT, Luya Tshimbalanga
no flags Details
/dev/input/event5 (12.00 KB, text/plain)
2009-06-25 05:32 EDT, Luya Tshimbalanga
no flags Details

  None (edit)
Description Luya Tshimbalanga 2009-06-12 16:37:50 EDT
Description of problem:
Some buttons are not mapped on tablet pc like LG LT20:
- ez menu, note, rotate, esc, up, down

Rotate seems to be similar to XO laptop
Version-Release number of selected component (if applicable):
2.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. Post installation
2.
3.
  
Actual results:
No hotkeys worked

Expected results:
All buttons should work out of box

Additional info:
I include the link of that tablet pc, reddot design winner in 2004.
Comment 1 Matěj Cepl 2009-06-12 20:01:00 EDT
Could you please run xev 2>&1|tee xev-log.txt and press all problematic keys? Could you then please attach xev-log.txt as uncompressed attachment to this bug, please?

Thank you very much.
Comment 2 Luya Tshimbalanga 2009-06-13 04:22:47 EDT
Created attachment 347722 [details]
xev-log from LT20 Notebook

Here is log in txt format.
Comment 3 Peter Hutterer 2009-06-14 23:39:03 EDT
Was xev in focus when you tested the keys? I don't see anything appearing here.

please get http://people.freedesktop.org/~whot/evtest.c, compile it with 'gcc -o evtest evtest.c' and run it as root against the devices in /dev/input/eventX. I don't quite know which device spits out the keycodes for the hotkeys, but /proc/bus/input/devices might give you a hint. It's most likely either the keyboard device or some "extra button" device or so.
If necessary, simply run it against each device - if you see messages appearing when you hit the button, you've found it.

Hit all non-working keys and attach the output here. Thanks.
Comment 4 Luya Tshimbalanga 2009-06-15 16:40:30 EDT
Created attachment 348005 [details]
Result from /proc/bus/input/devices

Found something on event6 (./evtest /etc/input/event6

# ./evtest /dev/input/event6
Input driver version is 1.0.0
Input device ID: bus 0x19 vendor 0x0 product 0x6 version 0x0
Input device name: "Video Bus"
Supported events:
  Event type 0 (Sync)
  Event type 1 (Key)
    Event code 224 (Brightness down)
    Event code 225 (Brightness up)
    Event code 227 (?)
    Event code 240 (Unknown)
    Event code 241 (?)
    Event code 242 (?)
    Event code 243 (?)
    Event code 244 (?)
    Event code 245 (?)
Grab succeeded, ungrabbing.
Testing ... (interrupt to exit)

I think those (?) indicated to unrecognised or unmapped buttons as they are exacly six. I included attached devices.txt and event6 is Video Bus. I am unable to get output of these buttons. 
Unmapped so far is"
"ez menu" -> combination of hardware setup from brightness to power management, can be used for control panel shortcut.
So called "Windows Journal button" -> xjournal if available
rotate -> should rotate the screen similar to XO laptop
esc -> self-explanatory
up and down -> similar to up/down key button

Side note: can X automatically rotate in ebook mode should I close a screen from Notebook mode? Let me know should I open another bug report.
Comment 5 Peter Hutterer 2009-06-16 18:09:35 EDT
*** Bug 506357 has been marked as a duplicate of this bug. ***
Comment 6 Matěj Cepl 2009-06-23 13:10:05 EDT
(In reply to comment #4)
> Side note: can X automatically rotate in ebook mode should I close a screen
> from Notebook mode? Let me know should I open another bug report.  

Whether it should rotate at all depends I am afraid to some part on what graphical card you have. Could we get uncompressed /var/log/Xorg.0.log attached to this bug as well, please?

Thank you.
Comment 7 Peter Hutterer 2009-06-24 19:21:54 EDT
> I think those (?) indicated to unrecognised or unmapped buttons as they are
> exacly six. I included attached devices.txt and event6 is Video Bus. I am
> unable to get output of these buttons. 

do I understand this right that you don't get output on any /dev/input/eventX device when you hit the buttons? If so, that's a kernel issue then, not an X issue.

If you leave evtest running while hitting the keys, you should see the spew of events. For example, if I hit the brightness key on my laptop here, the output is:

Input driver version is 1.0.0
Input device ID: bus 0x19 vendor 0x0 product 0x6 version 0x0
Input device name: "Video Bus"
Supported events:
  Event type 0 (Sync)
  Event type 1 (Key)
    Event code 224 (Brightness down)
    Event code 225 (Brightness up)
    Event code 227 (?)
    Event code 240 (Unknown)
    Event code 241 (?)
    Event code 242 (?)
    Event code 243 (?)
    Event code 244 (?)
    Event code 245 (?)
Grab succeeded, ungrabbing.
Testing ... (interrupt to exit)
Event: time 1245885652.457339, type 1 (Key), code 225 (Brightness up), value 1
Event: time 1245885652.457362, -------------- Report Sync ------------
Event: time 1245885652.457369, type 1 (Key), code 225 (Brightness up), value 0
Event: time 1245885652.457373, -------------- Report Sync ------------
Comment 8 Luya Tshimbalanga 2009-06-25 04:39:35 EDT
Created attachment 349357 [details]
Xorg.0.log

(In reply to comment #6)
> Whether it should rotate at all depends I am afraid to some part on what
> graphical card you have. Could we get uncompressed /var/log/Xorg.0.log attached
> to this bug as well, please?
> 
> Thank you. 

Attachment included.
Comment 9 Luya Tshimbalanga 2009-06-25 05:32:46 EDT
Created attachment 349365 [details]
/dev/input/event5

(In reply to comment #7)
> > I think those (?) indicated to unrecognised or unmapped buttons as they are
> > exacly six. I included attached devices.txt and event6 is Video Bus. I am
> > unable to get output of these buttons. 
> 
> do I understand this right that you don't get output on any /dev/input/eventX
> device when you hit the buttons? If so, that's a kernel issue then, not an X
> issue.

 I have included event5 attachment 5 [details]yq5 with non-working hotkeys. All keyboards generated ouput except six buttons located on both upper and lower screen from the LT20 Notebook - those are problably kernel related because they did not return output on any event-. 

When you look at the posted url, look at buttons located on screen. Only Power and Enter buttons  works, the result will not return any output.
Comment 10 Matěj Cepl 2009-06-25 12:00:30 EDT
Pushing to kernel, then.
Comment 11 Bug Zapper 2010-04-27 10:50:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Luya Tshimbalanga 2010-04-27 12:45:30 EDT
That bug is still exists on Fedora 13. Keys like EZ Menu, Screen Rotation, have no input with the latest kernel.
Comment 13 Luya Tshimbalanga 2011-04-07 05:41:19 EDT
Closing this bug report because I no longer have LG LT20 laptop.

Note You need to log in before you can comment on or make changes to this bug.